# $Revision: 1.15 $, $Date: 2011/06/27 15:36:32 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	JSON
%define	pnam	XS
Summary:	JSON::XS - JSON serialising/deserialising, done correctly and fast
Summary(pl.UTF-8):	JSON::JS - serializacja/deserializacja JSON wykonana poprawnie i szybko
Name:		perl-JSON-XS
Version:	2.3
Release:	1
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4dc2a968e41f8cf330d46be12f221a12
URL:		http://search.cpan.org/dist/JSON-XS/
BuildRequires:	perl-Encode
BuildRequires:	perl-common-sense
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be correct and its secondary goal is to be fast. To
reach the latter goal it was written in C.

As this is the n-th-something JSON module on CPAN, what was the reason
to write yet another JSON module? While it seems there are many JSON
modules, none of them correctly handle all corner cases, and in most
cases their maintainers are unresponsive, gone missing, or not
listening to bug reports for other reasons.

%description -l pl.UTF-8
Ten moduł konwertuje struktury danych Perla do formatu JSON i
odwrotnie. Jego podstawowym celem jest poprawne działanie, a drugim -
szybkość. W celu osiągnięcia tego drugiego celu został napisany w C.

Jako że jest to już któryś moduł JSON w CPAN-ie, musiała istnieć jakaś
przyczyna dla napisania kolejnego modułu JSON. O ile istnieje wiele
takich modułów, żaden z nich nie obsługiwał wszystkich skrajnych
przypadków i w większości przypadków utrzymujący moduły nie
odpowiadali, zaginęli lub z innych powodów nie zwracali uwagi na
zgłoszenia błędów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/json_xs
%{perl_vendorarch}/JSON/XS.pm
%{perl_vendorarch}/JSON/XS
%dir %{perl_vendorarch}/auto/JSON
%dir %{perl_vendorarch}/auto/JSON/XS
%{perl_vendorarch}/auto/JSON/XS/XS.bs
%attr(755,root,root) %{perl_vendorarch}/auto/JSON/XS/*.so
%{_mandir}/man?/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-JSON-XS.spec,v $
Revision 1.15  2011/06/27 15:36:32  gotar
- package bootstrap file, more verbose listing

Revision 1.14  2011/06/27 15:22:01  gotar
- upgraded to 2.3, epoch 2:/

Revision 1.13  2011/01/28 22:13:29  sparky
- BR: perl-common-sense

Revision 1.12  2010/06/06 07:02:31  arekm
- epoch 1 because 2.29 < 2.231

Revision 1.11  2010/06/06 05:33:37  arekm
- release 3

Revision 1.10  2010/06/06 00:54:36  radek
- release 2: BR: perl-Encode

Revision 1.9  2010/06/05 23:48:23  radek
- version 2.29

Revision 1.8  2009/01/27 19:12:54  radek
- version 2.231

Revision 1.7  2008-03-02 21:19:38  radek
- release 3

Revision 1.6  2008-02-23 11:24:57  radek
- release 2: missing dir, kill empty *.bs

Revision 1.5  2008-02-23 11:20:32  radek
- version 2.01

Revision 1.4  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.3  2007-05-28 23:04:05  agaran
- up to 1.22, rel 1, builds here

Revision 1.2  2007/05/09 20:41:03  qboosh
- pl, URL

Revision 1.1  2007/05/04 09:39:53  wiget
- raw
